drt-tools(1)

NAME
drt-tools

SYNOPSIS
drt-tools [--force-download] [-f|--force] [-n ] [-v|--verbose]... [-q|--quiet]... [--mirror] [--buildd] [-h|--help] <subcommands>

DESCRIPTION

OPTIONS

--force-download
    Force download of files

    If this option is set, all files will be fetched from mirrors, UDD, etc.

-f, --force
    Force processing

-n  Only print actions to perform without running any commands

    This option is especially useful if one wants to produce a list of `wb` commands where the output is copied to the `buildd` server and directly executed there.

-v, --verbose
    Increase logging verbosity

-q, --quiet
    Decrease logging verbosity

--mirror=MIRROR [default: https://deb.debian.org/debian]
    Archive mirror

    Information on packages, sources and releases is downloaded from this mirror.

--buildd=BUILDD [default: wuiet.debian.org]
    `buildd` server

    To schedule `wanna-build` actions, a SSH connection is established to this server.

-h, --help
    Print help (see a summary with '-h')

SUBCOMMANDS

drt-tools-process-excuses(1)
    Process current excuses.yaml and prepare a list of binNMUs required for testing migration and list of unblocks

drt-tools-nmu-transition(1)
    Prepare and schedule binNMUs for a transition

drt-tools-nmu-buildinfo(1)
    Prepare binNMUs based on a list of buildinfo files

drt-tools-grep-excuses(1)
    Grep excuses for a list of packages and/or maintainers

drt-tools-nmu-eso(1)
    Prepare binNMUs to rebuild for outdated Built-Using

drt-tools-nmu-version-skew(1)
    Prepare rebuilds for version skew in Multi-Arch: same packages

drt-tools-nmu-list(1)
    BinNMU a list of packages